package _VisualDVM.Visual.Menus.FastAccessMenuBar;
import Common.Passes.PassCode_;
import Common.Utils.Utils_;
import Common.Visual.UI_;
import Visual_DVM_2021.PassStats.PassStats;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.VisualiserMenuBar;
import _VisualDVM.GlobalData.GlobalDatabase;
import _VisualDVM.GlobalData.Settings.SettingName;
import Visual_DVM_2021.Passes.PassCode;
import Common.Passes.Pass;

import javax.swing.*;
import java.awt.*;
import java.util.LinkedHashMap;
public class FastAccessMenuBar extends VisualiserMenuBar {
    public FastAccessMenuBar() {
        Refresh();
    }
    @Override
    public void setSizeLimits() {
            //если задавать PreffredSize 0, скролл НЕ РАБОТАЕТ. Магия!
    }
    public void showPass(Pass pass) {
        JButton button = pass.createButton();
        add(button);
        Dimension d = button.getPreferredSize();
        button.setPreferredSize(new Dimension(d.width, 30));
        revalidate();
        repaint();
    }
    public void Refresh() {
        Drop();
        int i = 1;
        for (Pass pass: Global.mainModule.getFirstAccessPasses()){
            showPass(pass);
            ++i;
            if (i > ((Global.mainModule.getDb()).settings.get(SettingName.FastAccessPassesCount).toInt32())) break;
        }
    }
    public void Drop(){
        UI_.Clear(this);
    }
}
